バンドル販売商品削除
DELETE
/bundles/{product_bundle_group_id}/products/{product_bundle_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/bundles/example/products/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/bundles/example/products/example \ --header 'Authorization: Bearer <token>'バンドル販売商品情報を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_bundle_group_id
required
string
商品バンドルグループID
※ ユーザーアクセストークンを利用する場合でセット売りを指定する場合、ユーザーの所属する店舗で販売している商品のみで構成されるセット売りの商品バンドルグループIDを指定してください。
product_bundle_id
required
string
商品バンドル明細ID
※ ユーザーアクセストークンを利用する場合で商品IDが設定されている明細を指定する場合、ユーザーの所属する店舗で販売している商品が設定されている明細の商品バンドル明細IDを指定してください。
Responses
Section titled “Responses”削除成功
- 指定した商品バンドルグループIDのバンドル販売商品が1件の場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定した商品バンドルグループIDのバンドル販売商品が1件の場合
{ "type": "about:blank", "title": "Bad Request", "detail": "バンドル販売商品が0件になるため削除できません。", "status": 400}- 指定した商品バンドルグループIDが存在しない場合
- 指定した商品バンドル明細IDが存在しない場合
- URIで指定されたパラメータの組み合わせが存在しなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品バンドルグループIDのリソースが見つかりません", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品バンドル明細IDのリソースが見つかりません", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定されたバンドル販売商品のリソースが見つかりません", "status": 404}